org.aspectj.weaver.loadtime

## Class DefaultMessageHandler

- java.lang.Object
- - org.aspectj.weaver.loadtime.DefaultMessageHandler

All Implemented Interfaces:
  org.aspectj.bridge.IMessageHandler

    public class DefaultMessageHandler
    extends java.lang.Object
    implements org.aspectj.bridge.IMessageHandler

Author:
  Alexandre Vasseur

### Field Summary

### Fields inherited from interface org.aspectj.bridge.IMessageHandler

`SYSTEM_ERR, SYSTEM_OUT, THROW`

### Constructor Summary

Constructors
Constructor and Description
`DefaultMessageHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dontIgnore(org.aspectj.bridge.IMessage.Kind kind)`
`boolean` `handleMessage(org.aspectj.bridge.IMessage message)`
`void` `ignore(org.aspectj.bridge.IMessage.Kind kind)`
`boolean` `isIgnoring(org.aspectj.bridge.IMessage.Kind kind)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMessageHandler

    public DefaultMessageHandler()

### Method Detail

#### handleMessage

    public boolean handleMessage(org.aspectj.bridge.IMessage message)
                          throws org.aspectj.bridge.AbortException

Specified by:
  `handleMessage` in interface `org.aspectj.bridge.IMessageHandler`
Throws:
  `org.aspectj.bridge.AbortException`

#### isIgnoring

    public boolean isIgnoring(org.aspectj.bridge.IMessage.Kind kind)

Specified by:
  `isIgnoring` in interface `org.aspectj.bridge.IMessageHandler`

#### dontIgnore

    public void dontIgnore(org.aspectj.bridge.IMessage.Kind kind)

Specified by:
  `dontIgnore` in interface `org.aspectj.bridge.IMessageHandler`

#### ignore

    public void ignore(org.aspectj.bridge.IMessage.Kind kind)

Specified by:
  `ignore` in interface `org.aspectj.bridge.IMessageHandler`